Bug 1474450 - Keyboard don't work properly with wayland
Keyboard don't work properly with wayland
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wayland (Show other bugs)
26
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 11:55 EDT by cyrille.marc
Modified: 2018-05-29 08:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:55:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cyrille.marc 2017-07-24 11:55:52 EDT
Hello, for a few weeks, my logitech keyboard K520 works oddly.
At the start of the pc, no problem. When using thunderbird or firefox or gedit or terminal, I realized that the wireless keyboard was not responding, no keys working. (Except the windows key)
I thought the batteries were HS. After a change by new batteries, nothing changes.

Where it gets strange, if I connect a wired keyboard in addition to that wireless, my wireless keyboard works great.
If I disconnect the wired, the problem returns immediately.

The blinking cursor disappears under gedit and no longer flashes under the terminal without a wired keypad connected.
In tty2, the wireless keyboard responds perfectly in all situations.

When the keyboard does not work under firefox for example, if I press the windows key, I can then search for another software or a file via the keyboard. Note: I have a normal F26 workstation configuration without interface modification.

I noticed with evemu that the keys are perfectly acquired by fedora in all situations, even when the keys are without action on fedora.

N: Logitech K520
I: 0003 046d 2011 0111
P: 00 00 00 00 00 00 00 00
~~~~~~~~
################################
#      Waiting for events      #
################################
E: 0.000001 0004 0004 458840    # EV_MSC / MSC_SCAN             458840
E: 0.000001 0001 0060 0000    # EV_KEY / KEY_KPENTER          0
E: 0.000001 0000 0000 0000    # ------------ SYN_REPORT (0) ---------- +0ms            
#=======>>>>>>> Pressing a key 1 of the wireless keyboard with wired keyboard connected with gedit open --- 1 is displayed
E: 5.415987 0004 0004 458841    # EV_MSC / MSC_SCAN             458841        #1 s'affiche
E: 5.415987 0001 004f 0001    # EV_KEY / KEY_KP1              1
E: 5.415987 0000 0000 0000    # ------------ SYN_REPORT (0) ---------- +5415ms   
E: 5.495978 0004 0004 458841    # EV_MSC / MSC_SCAN             458841
E: 5.495978 0001 004f 0000    # EV_KEY / KEY_KP1              0           
E: 5.495978 0000 0000 0000    # ------------ SYN_REPORT (0) ---------- +80ms    #=======>>>>>>> Disconnecting the wired keyboard and pressing key 1 with gedit open----- nothing is displayed
E: 10.563963 0004 0004 458841    # EV_MSC / MSC_SCAN             458841
E: 10.563963 0001 004f 0001    # EV_KEY / KEY_KP1              1
E: 10.563963 0000 0000 0000    # ------------ SYN_REPORT (0) ---------- +5068ms
E: 10.701964 0004 0004 458841    # EV_MSC / MSC_SCAN             458841
E: 10.701964 0001 004f 0000    # EV_KEY / KEY_KP1              0
E: 10.701964 0000 0000 0000    # ------------ SYN_REPORT (0) ---------- +138ms #

Under Xorg, no problem, only under wayland.

Thank you for your help. Goodby.
Comment 1 Fedora End Of Life 2018-05-03 04:39:13 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2018-05-29 08:55:48 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.